Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.jbosscommon51
Interface WebserviceDescriptionType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  WebserviceDescriptionTypeImpl

    public interface WebserviceDescriptionType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `webservice-descriptionType` xsd type

Original Documentation:

Runtime information about a web service.
wsdl-publish-location is optionally used to specify
where the final wsdl and any dependent files should be stored. This location
resides on the file system from which deployment is initiated.

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Method Summary
`java.lang.String` | `getConfigFile()` Returns the `config-file` element
`java.lang.String` | `getConfigName()` Returns the `config-name` element
`java.lang.String` | `getWebserviceDescriptionName()` Returns the `webservice-description-name` element
`java.lang.String` | `getWsdlPublishLocation()` Returns the `wsdl-publish-location` element
`WebserviceDescriptionType<T>` | `removeConfigFile()` Removes the `config-file` element
`WebserviceDescriptionType<T>` | `removeConfigName()` Removes the `config-name` element
`WebserviceDescriptionType<T>` | `removeWebserviceDescriptionName()` Removes the `webservice-description-name` element
`WebserviceDescriptionType<T>` | `removeWsdlPublishLocation()` Removes the `wsdl-publish-location` element
`WebserviceDescriptionType<T>` | `setConfigFile(java.lang.String configFile)` If not already created, a new `config-file` element with the given value will be created.
`WebserviceDescriptionType<T>` | `setConfigName(java.lang.String configName)` If not already created, a new `config-name` element with the given value will be created.
`WebserviceDescriptionType<T>` | `setWebserviceDescriptionName(java.lang.String webserviceDescriptionName)` If not already created, a new `webservice-description-name` element with the given value will be created.
`WebserviceDescriptionType<T>` | `setWsdlPublishLocation(java.lang.String wsdlPublishLocation)` If not already created, a new `wsdl-publish-location` element with the given value will be created.

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setWebserviceDescriptionName

    WebserviceDescriptionType<T> setWebserviceDescriptionName(java.lang.String webserviceDescriptionName)

  If not already created, a new `webservice-description-name` element with the given value will be created. Otherwise, the existing `webservice-description-name` element will be updated with the given value.

  Returns:
    the current instance of `WebserviceDescriptionType`

### removeWebserviceDescriptionName

    WebserviceDescriptionType<T> removeWebserviceDescriptionName()

  Removes the `webservice-description-name` element

  Returns:
    the current instance of `WebserviceDescriptionType`

### getWebserviceDescriptionName

    java.lang.String getWebserviceDescriptionName()

  Returns the `webservice-description-name` element

  Returns:
    the node defined for the element `webservice-description-name`

### setConfigName

    WebserviceDescriptionType<T> setConfigName(java.lang.String configName)

  If not already created, a new `config-name` element with the given value will be created. Otherwise, the existing `config-name` element will be updated with the given value.

  Returns:
    the current instance of `WebserviceDescriptionType`

### removeConfigName

    WebserviceDescriptionType<T> removeConfigName()

  Removes the `config-name` element

  Returns:
    the current instance of `WebserviceDescriptionType`

### getConfigName

    java.lang.String getConfigName()

  Returns the `config-name` element

  Returns:
    the node defined for the element `config-name`

### setConfigFile

    WebserviceDescriptionType<T> setConfigFile(java.lang.String configFile)

  If not already created, a new `config-file` element with the given value will be created. Otherwise, the existing `config-file` element will be updated with the given value.

  Returns:
    the current instance of `WebserviceDescriptionType`

### removeConfigFile

    WebserviceDescriptionType<T> removeConfigFile()

  Removes the `config-file` element

  Returns:
    the current instance of `WebserviceDescriptionType`

### getConfigFile

    java.lang.String getConfigFile()

  Returns the `config-file` element

  Returns:
    the node defined for the element `config-file`

### setWsdlPublishLocation

    WebserviceDescriptionType<T> setWsdlPublishLocation(java.lang.String wsdlPublishLocation)

  If not already created, a new `wsdl-publish-location` element with the given value will be created. Otherwise, the existing `wsdl-publish-location` element will be updated with the given value.

  Returns:
    the current instance of `WebserviceDescriptionType`

### removeWsdlPublishLocation

    WebserviceDescriptionType<T> removeWsdlPublishLocation()

  Removes the `wsdl-publish-location` element

  Returns:
    the current instance of `WebserviceDescriptionType`

### getWsdlPublishLocation

    java.lang.String getWsdlPublishLocation()

  Returns the `wsdl-publish-location` element

  Returns:
    the node defined for the element `wsdl-publish-location`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD